function model = linearCreate(inputDim, outputDim, options)

% LINEARCREATE Create a linear model.
%
% model = linearCreate(inputDim, outputDim, options)
%

% Copyright (c) 2006 Neil D. Lawrence
% linearCreate.m version 1.2



model.type = 'linear';
model.activeFunc = options.activeFunc; 
model.inputDim = inputDim;
model.outputDim = outputDim;
model.numParams = (inputDim + 1)*outputDim;


model.W = randn(inputDim, outputDim)/sqrt(inputDim+1);
model.b = randn(1, outputDim)/sqrt(inputDim+1);
